require 'optparse'
require 'recumber/cucumber_output_parser'
require 'recumber/cucumber_runner'

def read_piped_input
  ARGF.read
end

def parse_command_line_args
  options_hash = {}

  option_parser = OptionParser.new do |option|
    option.banner = "Usage: recumber [OPTIONS] [LOGFILE]"
    option.separator  ""
    option.separator  "Options"

    option.on("-z","--zeus","Rerun the failing steps under Zeus") do
      options_hash[:zeus] = true
    end

    option.on("-h","--help","help") do
      puts option_parser
    end
  end

  option_parser.parse!
  options_hash
end

def print_no_failures_message
  puts "All tests passing. Nothing to re-run"
end

def print_title
  puts "------------------------------------"
  puts "|             Recumber             |"
  puts "------------------------------------"
end

def print_rerun_message(failed_features)
  failed_features.each do |feature|
    puts "Recumbering: #{feature}"
  end
end
