class CucumberOutputParser

  def self.parse_failed_features(cucumber_output)
    file_list = remove_non_cucumber_lines(cucumber_output)
    file_list = remove_cucumber_commands(file_list)
    file_list = remove_comment_lines(file_list)
    file_list = collapse_newlines(file_list)

    if file_list.empty?
      file_list = cucumber_output.match(/features\/.*\.feature:\d/m)
      file_list = file_list[0].gsub(/\n/, " ")
      file_list = file_list.gsub(/\.\d+/, "")
    end

    file_list.split(" ")
  end

  private

  def self.remove_non_cucumber_lines(lines)
    lines.gsub(/^((?!cucumber).)*$/, "").strip
  end

  def self.remove_cucumber_commands(lines)
    lines.gsub(/cucumber (-p parallel)?/, "")
  end

  def self.remove_comment_lines(lines)
    lines.gsub(/#.*/, "")
  end

  def self.collapse_newlines(lines)
    lines.gsub(/\n/, "")
  end

end
